package hh.dejsem.net;

import hh.lib.D;

public class GetPeerHostThread extends Thread {
	D d;
	public Object result;
	public Exception exception = null;

	GetPeerHostThread(D d) { this.d = d.klon(this); }

	public void run() {
		try { result = new NetUDP(d).keepReceivingPeerIp(); }
		catch (Exception e) { this.exception = e; }
	}
}
